<?php 
 class Application_Model_Form_Table1hastable2Edit extends MyWeb_Form
{

    public function init()
    {
        $request = Zend_Controller_Front::getInstance()->getRequest();
        ZendX_JQuery::enableForm($this);	// zapnuti jQuery
        $getValue = $request->getParams();
        $translate = Zend_Registry::get('Zend_Translate');
        
        
        // nastaví atributy formuláře
        $this->setAction("edit");
        $this->setMethod("post");
        $this->setAttrib("id", "form_table1hastable2_edit");
        //nacteni config souboru s definovan7mi fomularovymi prvky
        $config = new Zend_Config_Ini(APPLICATION_PATH . "/forms/table1hastable2Edit.ini");
        $this->setConfig($config);
        
        
        //***************************************************************************
        // Nastaveni hidden elemetu
        
        
        
        // vytvoří formulářový prvek odesílací tlačítko
        $submitInsert = new Zend_Form_Element_Submit("send", array("label" => $translate->translate('Edit')));
        $submitDelete = new Zend_Form_Element_Submit("delete", array("label" => $translate->translate('Delete')));
        
        // přidá formulářové prvky do formuláře
        $this->addElements(array(
        			
        			));
        $this->addDisplayGroup(array(
        			'table1_id_table1'
        			),'formRoleEdit',array('legend' => $translate->translate('EditTable1hastable2')));
        $this->addElements(array($submitInsert,$submitDelete));
    }


}
